import { SeatersApiContext } from '../seaters-api-context';
import { Country, Currency, Env, Language, TimeZone, Translation, TRANSLATION_TARGET } from './app-types';
import { PagingOptions } from '../../shared-types';
export declare class AppApi {
    private apiContext;
    constructor(apiContext: SeatersApiContext);
    env(): Promise<Env>;
    countries(pagingOptions?: PagingOptions): Promise<Country[]>;
    languages(pagingOptions?: PagingOptions): Promise<Language[]>;
    timeZones(pagingOptions?: PagingOptions): Promise<TimeZone[]>;
    currencies(pagingOptions?: PagingOptions): Promise<Currency[]>;
    translations(target?: TRANSLATION_TARGET, language?: string, pagingOptions?: PagingOptions): Promise<Translation[]>;
    userDefaultLocale(): Promise<string>;
}
