import { PagedSortedResult, SeatersApi } from '../../seaters-api';
import { survey } from './survey-types';
export declare class FanSurveyService {
    private seatersApi;
    constructor(seatersApi: SeatersApi);
    getSurvey(waitingListId: string, extensionPoint: survey.SURVEY_EXTENSION_POINT, fanGroupId?: string): Promise<PagedSortedResult<survey.SurveyInstance>>;
    getAnswers(surveyInstanceId: string): Promise<PagedSortedResult<survey.Answer>>;
    getChoices(questionId: any, pagingOptions?: any): any;
    submitAnswers(surveyInstanceId: string, answers: survey.Answer[]): Promise<survey.Answer[]>;
    getWaitingListSurveys(waitingListId: string, extensionPoint: survey.SURVEY_EXTENSION_POINT): Promise<PagedSortedResult<survey.SurveyInstance>>;
    getUserAnswers(waitingListId: string, surveyInstanceId: string, userId: string): Promise<PagedSortedResult<survey.Answer>>;
}
