import { PagedResult, PagingOptions, SeatersApi, SeatersService } from '../common';
import { payment } from './payment-types';
export declare class PaymentService extends SeatersService {
    constructor(seatersApi: SeatersApi);
    getPaymentSystems(page: PagingOptions): Promise<PagedResult<payment.PaymentSystem>>;
    getPaymentSystem(paymentSystemId: string): Promise<payment.PaymentSystem>;
    createPaymentSystem(payload: payment.PaymentSystemCreateDTO): Promise<payment.PaymentSystem>;
    updatePaymentSystem(paymentSystemId: string, payload: payment.PaymentSystemUpdateDTO): Promise<payment.PaymentSystem>;
    deletePaymentSystem(paymentSystemId: string): Promise<void>;
    private flattenObjectToJSONString(data);
    private expandJSONStringToObject(data);
}
