import { StringMap } from './string-map';
export declare class ApiEndpoint {
    private endpointParams;
    private queryParams;
    private prefix;
    abstractEndpoint: any;
    concreteEndpoint: any;
    concreteEndpointWithQueryParams: any;
    absoluteEndpoint: any;
    constructor(abstractEndpoint: string, endpointParams: StringMap, queryParams: StringMap, prefix: string);
    private normalizeAbstractEndpoint(abstractEndpoint);
    private renderEndpointParam(parameter);
    private renderConcreteEndpoint();
    private renderQueryParams();
    private renderConcreteEndpointWithQueryParams();
    private renderAbsoluteEndpoint();
}
