import { ServerResponse } from './request-driver';
export declare enum ERROR_TYPE {
    CLIENT = 0,
    SERVER = 1,
    LIBRARY = 2,
}
export interface ApiError {
    rawResponse: ServerResponse;
    type: ERROR_TYPE;
    error: string;
    errorMsg: string;
    fields?: [{
        field: string;
        error: string;
        errorMsg: string;
    }];
}
