import { RequestDriver } from '../api';
import { AppApi } from './app/app-api';
import { FanApi } from './fan/fan-api';
import { AdminApi } from './admin';
import { HealthApi } from './health';
import { AuthenticationApi } from './authentication/authentication-api';
import { TicketingApi } from './ticketing';
import { PaymentApi } from './payment';
import { SeatersApiContext } from './seaters-api-context';
export declare class SeatersApi {
    apiContext: SeatersApiContext;
    app: AppApi;
    fan: FanApi;
    authentication: AuthenticationApi;
    admin: AdminApi;
    health: HealthApi;
    ticketing: TicketingApi;
    payment: PaymentApi;
    constructor(prefix: string, requestDriver: RequestDriver);
}
