import { SeatersApiContext } from '../../seaters-api';
import { PagedResult } from '../paged-result';
import { PagingOptions } from '../paging-options';
import { SeatersApiController } from '../seaters-api-controller';
import { TicketingSystem } from './ticketing-types';
export declare class TicketingApi extends SeatersApiController {
    private apiContext;
    constructor(apiContext: SeatersApiContext);
    getTicketingSystems(page: PagingOptions): Promise<PagedResult<TicketingSystem>>;
    getTicketingSystem(ticketingSystemId: string): Promise<TicketingSystem>;
}
