import { PagedSortedResult, SeatersApi } from '../../seaters-api';
import { profiling } from './profiling-types';
import { PagingOptions } from '../../index';
export declare class FanProfilingService {
    private seatersApi;
    constructor(seatersApi: SeatersApi);
    getProfilingCategories(pagingOptions: any): Promise<PagedSortedResult<profiling.ProfilingCategory>>;
    getProfilingCategoryById(categoryId: string): Promise<profiling.ProfilingCategory>;
    seachFanAttributes(query: string, validated: boolean): Promise<profiling.ProfilingFanAttribute[]>;
    getProfilingFanAttributeById(fanAttributeId: string): Promise<profiling.ProfilingFanAttribute>;
    getUserInterests(pagingOptions: any): Promise<PagedSortedResult<profiling.UserInterest>>;
    updateUserInterest(userInterestUpdateDTO: profiling.UserInterestUpdateDTO): Promise<profiling.UserInterest>;
    getUserFanAttributes(pagingOptions: PagingOptions): Promise<PagedSortedResult<profiling.UserFanAttribute>>;
    updateUserFanAttribute(options: profiling.UserFanAttributeUpdateDTO): Promise<profiling.UserFanAttribute>;
}
