import { PagedResult as ApiPagedResult, PagedSortedResult as ApiPagedSortedResult, SeatersApi } from '../seaters-api';
import { PagedResult } from '../shared-types';
export declare abstract class SeatersService {
    protected seatersApi: SeatersApi;
    constructor(seatersApi: SeatersApi);
    protected convertPagedResult<T>(result: ApiPagedResult<T>): PagedResult<T>;
    protected convertPagedSortedResult<T>(result: ApiPagedSortedResult<T>): PagedResult<T>;
}
