import { PagedResult, PagingOptions, SeatersApi, SeatersService } from '../common';
import { ticketing } from './ticketing-types';
export declare class TicketingService extends SeatersService {
    constructor(seatersApi: SeatersApi);
    getTicketingSystems(page: PagingOptions): Promise<PagedResult<ticketing.TicketingSystem>>;
    getTicketingSystem(ticketingSystemId: string): Promise<ticketing.TicketingSystem>;
}
