import { TranslationMap } from '../../seaters-api/translation-map';
export declare class LocalizableText implements TranslationMap {
    [key: string]: string | any;
    constructor(translationMap: TranslationMap);
    /**
     * Translate the text in the given locale. Will fall back to 'en' when neither locale neither fallbackLocale are available
     * @param locale Locale to try to retrieve the translated text
     * @param fallbackLocale Fall back to a translation in this locale if preferred locale was not available
     */
    localize(locale: string, fallbackLocale: string): string;
}
