export declare type PromiseFn<T> = () => Promise<T>;
export declare type ConditionFn<T> = (t: T) => boolean;
export declare class RetryUntilTimeoutError extends Error {
    limit: number;
    constructor(limit: number);
}
export declare function retryUntil<T>(promiseFn: PromiseFn<T>, conditionFn: ConditionFn<T>, limit: number, delay: number): Promise<T>;
export declare function timeoutPromise(timeInMs: any): Promise<void>;
