export declare type Observer<T> = (evt: T) => void;
export declare type ObserverHandle = number;
export declare class Subject<T> {
    private observers;
    constructor();
    next(evt: T): void;
    subscribe(observer: Observer<T>): ObserverHandle;
    unsubscribe(observerHandle: ObserverHandle): void;
}
